| Home | Libraries | People | FAQ | More

##### basic_seq_packet_socket::bind (2 of 2 overloads)

Inherited from basic_socket.

Bind the socket to the given local endpoint.

    boost::system::error_code bind(
        const endpoint_type & endpoint,
        boost::system::error_code & ec);

This function binds the socket to the specified endpoint on the local machine.

###### Parameters

endpoint

  An endpoint on the local machine to which the socket will be bound.

ec

  Set to indicate what error occurred, if any.

###### Example

    boost::asio::ip::tcp::socket socket(io_service);
    socket.open(boost::asio::ip::tcp::v4());
    boost::system::error_code ec;
    socket.bind(boost::asio::ip::tcp::endpoint(
          boost::asio::ip::tcp::v4(), 12345), ec);
    if (ec)
    {
      // An error occurred.
    }